Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization identifier.

Example:

"org_1a2b3c4d"

shipmentId
string
required

Shipment identifier.

Example:

"shp_4d9e7a2f"

Body

application/json
parcelId
string
required

Parcel whose order lines are split into a new shipment.

Example:

"prc_5a6b7c8d"

orderLineIds
string[]

Order line IDs to move. If omitted, all order lines in the parcel are moved.

Example:
carrierId
string

Carrier for the new shipment. Copied from the original if omitted.

Example:

"car_pn_001"

productId
string

Carrier product for the new shipment. Copied from the original if omitted.

Example:

"prod_mypack_home"

services
string[]

Service codes for the new shipment. Copied from the original if omitted.

Example:
additionalParameters
object

Carrier-specific parameters for the new shipment. Copied from the original if omitted.

Example:
reference
string

Reference for the new shipment. Defaults to the original reference with a suffix.

Example:

"ORDER-1042-split"

Response

Default Response

originalShipment
object
required
newShipment
object
required